gjs-console crashed with SIGSEGV in gd_main_view_generic_set_model()

Bug #1573987 reported by Clemens Vermeulen on 2016-04-23
94
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Undecided
Unassigned
Xenial
Undecided
Unassigned
libreoffice (Debian)
Fix Released
Unknown
libreoffice (Ubuntu)
High
Unassigned

Bug Description

upon invoking books app

ProblemType: Crash
DistroRelease: Ubuntu 16.04
Package: gjs 1.45.3-1~xenial0.1 [origin: LP-PPA-gnome3-team-gnome3-staging]
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
CurrentDesktop: GNOME
Date: Sat Apr 23 22:05:29 2016
ExecutablePath: /usr/bin/gjs-console
InstallationDate: Installed on 2015-10-08 (197 days ago)
InstallationMedia: Ubuntu-GNOME 15.04 "Vivid Vervet" - Release amd64 (20150422)
ProcCmdline: /usr/bin/gjs /usr/bin/gnome-books --gapplication-service
SegvAnalysis:
 Segfault happened at: 0x7f45aa17fa4c <gd_main_view_generic_set_model+28>: mov 0x10(%rax),%rax
 PC (0x7f45aa17fa4c) ok
 source "0x10(%rax)" (0x00000010) not located in a known VMA region (needed readable region)!
 destination "%rax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: gjs
StacktraceTop:
 gd_main_view_generic_set_model () from /usr/lib/x86_64-linux-gnu/gnome-documents/libgd.so
 gd_main_view_set_model () from /usr/lib/x86_64-linux-gnu/gnome-documents/libgd.so
 ffi_call_unix64 () from /usr/lib/x86_64-linux-gnu/libffi.so.6
 ffi_call () from /usr/lib/x86_64-linux-gnu/libffi.so.6
 ?? () from /usr/lib/libgjs.so.0
Title: gjs-console crashed with SIGSEGV in gd_main_view_generic_set_model()
UpgradeStatus: Upgraded to xenial on 2016-04-22 (1 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

information type: Private → Public
Ubuntu GNOME (ug-bot) wrote :

StacktraceTop:
 gd_main_view_generic_set_model (self=0xfbe500, model=0xfc6560) at libgd/gd-main-view-generic.c:59
 gd_main_view_apply_model (self=<optimized out>) at libgd/gd-main-view.c:971
 gd_main_view_set_model (self=0xf2c7d0, model=0xfc6560) at libgd/gd-main-view.c:1103
 ffi_call_unix64 () at /tmp/apport_sandbox_yLLqw9/usr/lib/x86_64-linux-gnu/libffi.so.6
 ffi_call () at /tmp/apport_sandbox_yLLqw9/usr/lib/x86_64-linux-gnu/libffi.so.6

tags: removed: need-amd64-retrace
Jeremy Bicha (jbicha) on 2016-05-14
Changed in ubuntu-gnome:
status: New → Confirmed
Ubuntu GNOME (ug-bot) on 2016-05-15
tags: added: yakkety
Jeremy Bicha (jbicha) wrote :

With gnome-documents from the GNOME3 Staging PPA, gnome-documents crashes for me on startup.

When I ran it from the command line, I saw this error:
WARNING **: Failed to load shared library 'liblibreofficekitgtk.so' referenced by the typelib: liblibreofficekitgtk.so: cannot open shared object file: No such file or directory

I uninstalled gir1.2-lokdocview-0.1 (recommended by gnome-documents; apparently nothing else in Ubuntu currently uses this package) and gnome-documents ran fine.

Changed in libreoffice (Debian):
status: Unknown → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libreoffice (Ubuntu):
status: New → Confirmed
Changed in libreoffice (Ubuntu):
importance: Undecided → High
Jeremy Bicha (jbicha) wrote :

A workaround (in the gnome-documents package) has now been uploaded to the GNOME3 Staging PPA for xenial.

I was not able to duplicate this bug with gnome-documents 3.18.2-1 in Ubuntu 16.04 LTS.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.